<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: backend/src/lib/chat/ChatBackend.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_8c739bbef76d64b22d6b0911c526dd76.html">backend</a></li><li class="navelem"><a class="el" href="dir_27747142951285b09bacafa002e92b5f.html">src</a></li><li class="navelem"><a class="el" href="dir_cecc8ab0f6e720ec77fada3731d67481.html">lib</a></li><li class="navelem"><a class="el" href="dir_2ef7b744ab4a81c2b80ed9601aa74b93.html">chat</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a>  </div>
  <div class="headertitle">
<div class="title">ChatBackend.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;QJsonObject&gt;</code><br />
<code>#include &lt;QJsonArray&gt;</code><br />
<code>#include &lt;QVector&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for ChatBackend.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="ChatBackend_8hpp__incl.png" border="0" usemap="#backend_2src_2lib_2chat_2ChatBackend_8hpp" alt=""/></div>
<map name="backend_2src_2lib_2chat_2ChatBackend_8hpp" id="backend_2src_2lib_2chat_2ChatBackend_8hpp">
<area shape="rect" title=" " alt="" coords="146,5,297,47"/>
<area shape="rect" title=" " alt="" coords="5,95,85,121"/>
<area shape="rect" title=" " alt="" coords="109,95,211,121"/>
<area shape="rect" title=" " alt="" coords="235,95,330,121"/>
<area shape="rect" title=" " alt="" coords="354,95,427,121"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="ChatBackend_8hpp__dep__incl.png" border="0" usemap="#backend_2src_2lib_2chat_2ChatBackend_8hppdep" alt=""/></div>
<map name="backend_2src_2lib_2chat_2ChatBackend_8hppdep" id="backend_2src_2lib_2chat_2ChatBackend_8hppdep">
<area shape="rect" title=" " alt="" coords="269,5,420,47"/>
<area shape="rect" href="ChatBackend_8cpp.html" title=" " alt="" coords="5,95,156,136"/>
<area shape="rect" href="chat_2test_8cpp.html" title=" " alt="" coords="180,95,331,136"/>
<area shape="rect" href="game_8hpp.html" title=" " alt="" coords="355,95,515,136"/>
<area shape="rect" href="test__chat_8cpp.html" title=" " alt="" coords="540,95,704,136"/>
<area shape="rect" href="game_8cpp.html" title=" " alt="" coords="78,184,238,225"/>
<area shape="rect" href="game_2test_8cpp.html" title=" " alt="" coords="262,184,422,225"/>
<area shape="rect" href="moxit__server_8h.html" title=" " alt="" coords="447,184,611,225"/>
<area shape="rect" href="test__game__player_8cpp.html" title=" " alt="" coords="635,184,799,225"/>
<area shape="rect" href="moxit__server_8cpp.html" title=" " alt="" coords="352,273,516,315"/>
<area shape="rect" href="backend_2src_2main_8cpp.html" title=" " alt="" coords="541,281,703,307"/>
</map>
</div>
</div>
<p><a href="ChatBackend_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classChatBackend.html">ChatBackend</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
